function res = encodei(a);

global K PROF_TABLE PROF_INIT;

% This function converts a action profile a = [a(1) a(2)] to a one-dimensional
% integer, which uniquely identifies the action profile.
% Note: it is assumed that a(1)<=K(1) and a(2)<=K(2).

if PROF_INIT == 0,
   PROF_TABLE = reshape((1:K(1)*K(2)),K(2),K(1))';
   PROF_INIT = 1; 
end;

res = PROF_TABLE(a(1),a(2));
    




